<?php

if(!defined('ABSPATH')) exit; /* Exit if accessed directly */

//Define values of ENUMs
$option_select_values = array($this->pp_prefix.'enable_backlink_promotion' => array('Y' => 'Yes, enable backlink promotion',
                                                                                    'N' => 'No, disable backlink promotion'),
                              $this->pp_prefix.'auto_backlink_promotion' => array('Y' => 'Yes, enable auto-promotion',
                                                                                  'N' => 'No, disable auto-promotion'),
                              $this->pp_prefix.'enable_private_redirection' => array('Y' => 'Yes, redirection via WPLB',
                                                                                     'N' => 'No'),
                              $this->pp_prefix.'show_disabled_pro_features' => array('Y' => 'Yes, let me see them',
                                                                                     'N' => 'No, don\'t show them'));
//Define syntax-fields
$option_vars = array($this->pp_prefix.'enable_backlink_promotion' => '#^('.implode("|", array_keys($option_select_values[$this->pp_prefix.'enable_backlink_promotion'])).')$#',
                     $this->pp_prefix.'auto_backlink_promotion' => '#^('.implode("|", array_keys($option_select_values[$this->pp_prefix.'auto_backlink_promotion'])).')$#',
                     $this->pp_prefix.'enable_private_redirection' => '#^('.implode("|", array_keys($option_select_values[$this->pp_prefix.'enable_private_redirection'])).')$#',
                     $this->pp_prefix.'promotion_timeout' => '#^[0-9]{1,2}$#',
                     $this->pp_prefix.'show_disabled_pro_features' => '#^('.implode("|", array_keys($option_select_values[$this->pp_prefix.'auto_backlink_promotion'])).')$#');

//Define names of variables                   
$option_vars_names = array($this->pp_prefix.'enable_backlink_promotion' => 'Backlink promotion',
                           $this->pp_prefix.'auto_backlink_promotion' => 'Auto-promotion',
                           $this->pp_prefix.'enable_private_redirection' => 'Private redirection',
                           $this->pp_prefix.'promotion_timeout' => 'Promotion timeout',
                           $this->pp_prefix.'show_disabled_pro_features' => 'Show PRO features');

if(($_REQUEST['function'] == $this->pp_prefix.'updateOptions')
   AND (wp_verify_nonce($_REQUEST['_wpnonce'], $this->pp_prefix.'updateOptions') != false)
   AND ($_REQUEST[$this->pp_prefix.'data']['option_new'])) {
 $option_update = $this->updateOptions($option_vars, $_REQUEST[$this->pp_prefix.'data']['option_new']);
 } else {
 $option_update = false; 
 }
   
?>