<?php if(!defined('ABSPATH')) exit; /* Exit if accessed directly */ ?>

<?php if($option_update != false) { ?>
 <?php foreach($option_update AS $key => $value) { ?>
  <?php if($value == 'CHANGED') { ?>
   <div class="notice notice-success is-dismissible"><p><?php echo $option_vars_names[$key]; ?> update <strong>successful</strong>!</p></div>
  <?php  } elseif($value == 'ERROR') { ?>
   <div class="notice notice-error is-dismissible"><p><?php echo $option_vars_names[$key]; ?> update <strong>failed</strong>!</p></div>
  <?php  } ?>
 <?php  } ?>
<?php  } ?>

<div class="wrap">
	<h1>
  <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPages"><i class="dashicons dashicons-admin-home pp-dashicons-lg"></i></a> // Expert Configuration
 </h1>
	<div class="pp-container">
 	<div class="pp-box">
  	<h2>Configuration Settings</h2>
  	<form action="admin.php" method="get">
    <input type="hidden" name="page" value="<?php echo $this->pp_prefix; ?>menuPageConfiguration">						 
 		 <input type="hidden" name="function" value="<?php echo $this->pp_prefix; ?>updateOptions">
 		 <?php wp_nonce_field($this->pp_prefix.'updateOptions'); ?>
 		 
 		 <label for="<?php echo $this->pp_prefix.'enable_backlink_promotion'; ?>"><strong><?php echo $option_vars_names[$this->pp_prefix.'enable_backlink_promotion']; ?>:</strong></label>
 		 <br />
    <select id="<?php echo $this->pp_prefix.'enable_backlink_promotion'; ?>" name="<?php echo $this->pp_prefix.'data'; ?>[option_new][<?php echo $this->pp_prefix.'enable_backlink_promotion'; ?>]">
 		  <?php foreach($option_select_values[$this->pp_prefix.'enable_backlink_promotion'] AS $value => $nicename) { ?>
    	 <option value="<?php echo htmlspecialchars($value); ?>"<?php if(get_option($this->pp_prefix.'enable_backlink_promotion') == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
    	<?php  } ?>
    </select>
    <br />
 			<span class="description">Do you want to enable backlink promotion?</span>
    <br />
 			<br />
 			<span class="description">
 			 <strong style="color:#ff6600;">Attention:</strong> This will send the backlinks to a secure WP Link Builder web-service. 
 			 From there we forward it to different indexing services like pingomatic or others so it can be promoted. 
 			 Don't worry: No sensitive data will be forwarded and it is completely free!
 			</span>
    
    <br /><br />
 			<label for="<?php echo $this->pp_prefix.'auto_backlink_promotion'; ?>"><strong><?php echo $option_vars_names[$this->pp_prefix.'auto_backlink_promotion']; ?>:</strong></label>
 		 <br />
    <select id="<?php echo $this->pp_prefix.'auto_backlink_promotion'; ?>" name="<?php echo $this->pp_prefix.'data'; ?>[option_new][<?php echo $this->pp_prefix.'auto_backlink_promotion'; ?>]">
 		  <?php foreach($option_select_values[$this->pp_prefix.'auto_backlink_promotion'] AS $value => $nicename) { ?>
    	 <option value="<?php echo htmlspecialchars($value); ?>"<?php if(get_option($this->pp_prefix.'auto_backlink_promotion') == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
    	<?php  } ?>
    </select>
    <br />
 			<span class="description">Do you want to automatically promote backlinks upon detection? Beware: This only works when backlink promotion is enabled in general (see above).</span>
 		 
 		 <br/><br/>
 		 <label for="<?php echo $this->pp_prefix.'promotion_timeout'; ?>"><strong><?php echo $option_vars_names[$this->pp_prefix.'promotion_timeout']; ?>:</strong></label>
 		 <br />
    <input type="text"
           id="<?php echo $this->pp_prefix.'promotion_timeout'; ?>"
           name="<?php echo $this->pp_prefix.'data'; ?>[option_new][<?php echo $this->pp_prefix.'promotion_timeout'; ?>]"
           value="<?php echo htmlspecialchars(get_option($this->pp_prefix.'promotion_timeout')); ?>"/>
 		 <br />
 			<span class="description">Set a timeout in seconds for calling the promotion webservice, should it not be available (for whatever reason). Default is 5s.</span>
 			
 			<br /><br />
 			<label for="<?php echo $this->pp_prefix.'enable_private_redirection'; ?>"><strong><?php echo $option_vars_names[$this->pp_prefix.'enable_private_redirection']; ?>:</strong></label>
 		 <br />
    <select id="<?php echo $this->pp_prefix.'enable_private_redirection'; ?>" name="<?php echo $this->pp_prefix.'data'; ?>[option_new][<?php echo $this->pp_prefix.'enable_private_redirection'; ?>]">
 		  <?php foreach($option_select_values[$this->pp_prefix.'enable_private_redirection'] AS $value => $nicename) { ?>
    	 <option value="<?php echo htmlspecialchars($value); ?>"<?php if(get_option($this->pp_prefix.'enable_private_redirection') == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
    	<?php  } ?>
    </select>
    <br />
 			<span class="description">
 			 When clicking on a detected backlink in your WordPress admin panel, your browser will also transmit your referrer (your admin panel URL) to that site. To hide this
 			 information, we offer a redirection service (like an URL shortener) that will redirect you through the WPLB homepage. This way the target site will only see
 			 WPLB as a referrer, and not your site. Beware: When enabled, the WPLB homepage will see your referrer if enabled. You choose, who you trust more. 
 			 By the way: A safe way is copying the URL and inserting it manually into the address bar. This way no-one will see your referrer.
 			</span>
 		 
 		 <br/><br/>
 		 <label for="<?php echo $this->pp_prefix.'show_disabled_pro_features'; ?>"><strong><?php echo $option_vars_names[$this->pp_prefix.'show_disabled_pro_features']; ?>:</strong></label>
 		 <br />
    <select id="<?php echo $this->pp_prefix.'show_disabled_pro_features'; ?>" name="<?php echo $this->pp_prefix.'data'; ?>[option_new][<?php echo $this->pp_prefix.'show_disabled_pro_features'; ?>]">
 		  <?php foreach($option_select_values[$this->pp_prefix.'show_disabled_pro_features'] AS $value => $nicename) { ?>
    	 <option value="<?php echo htmlspecialchars($value); ?>"<?php if(get_option($this->pp_prefix.'show_disabled_pro_features') == $value) echo " selected=\"selected\""; ?>><?php echo htmlspecialchars($nicename); ?></option>
    	<?php  } ?>
    </select>
    <br />
 			<span class="description">
 			 Hide teasers for WP LinkBuilder PRO (except dashboard).
 			</span>
 		 <br />
 			<br />
 			<span class="description">
 			 The PRO version of WP Link Builder has more features than this free version. So within the admin-panel of the plugin, we show
 			 you what would be possible with WP Link Builder PRO. We don't want to keep bugging you though, if you are not interested. So we
 			 suggest you leave that on for a while and should you decide not to go PRO, you can disable the display of
 			 the pro features later. Since we need to cover our expenses somehow, we will re-enable the display of the
 			 pro features in case there is a <u>major</u> update.
 			</span>
 		 
 		 <br /><br />
 		 <input class="button-primary" type="submit" value="Save settings" />
   </form>
 	</div>
 </div>
</div>

