<?php if(!defined('ABSPATH')) exit; /* Exit if accessed directly */ ?>
<div class="wrap">
	<h1>
  <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPages"><i class="dashicons dashicons-admin-home pp-dashicons-lg"></i></a> // Backlinks
 </h1>
	<div id="<?php echo $this->pp_prefix; ?>admin_messages">
  <?php
   	
  if(isset($object_delete)
     AND ($object_delete == true)) {
   echo '<div class="notice notice-success is-dismissible"><p>Backlink deletion <strong>successful</strong>!</p></div>';
   } elseif(isset($object_delete)) {
   echo '<div class="notice notice-error is-dismissible"><p>Backlink deletion <strong>failed</strong>!</p></div>';
   }
  
  if(isset($object_truncate)
     AND ($object_truncate == true)) {
   echo '<div class="notice notice-success is-dismissible"><p>Backlink truncation <strong>successful</strong>!</p></div>';
   } elseif(isset($object_truncate)) {
   echo '<div class="notice notice-error is-dismissible"><p>Backlink truncation <strong>failed</strong>!</p></div>';
   }
  ?>
	</div>
	
	<div class="pp-container">
 	<table class="widefat">
   <thead>
    <tr>
	 		 <th class="row-title">Detection date</th>
	 		 <th class="row-title">Backlink</th>
	 		 <?php if($this->pp_config['show_disabled_pro_features'] == 'Y') { ?>
 	 		 <th class="row-title">Link relation</th>
 	 		 <th class="row-title">Validation status</th>
 	 		<?php  } ?>
	 		 <th class="row-title">Promotion status</th>
	 		 <th class="row-title">Options</th>
 	  </tr>
   </thead>
   <tbody>
    <?php if($backlinks != false) { ?>
 	   <?php $i = 0;
  	        foreach($backlinks AS $this_backlink) {
   	        $i++; ?>
  	   <tr <?php if($i % 2 == 0) echo " class=\"alternate\""; ?>>
  	 			<td><?php echo $this_backlink['date_detected']; ?></td>
  	 		 <td>
   	 		 <i class="dashicons dashicons-admin-site"></i>
   	 		 <?php if($this->pp_config['enable_private_redirection'] == 'Y') { ?>
   	 		  <a href="<?php echo $this->pp_constant['private_redirection_api_endpoint']; ?>?<?php echo $this->pp_constant['private_redirection_api_name']; ?>_function=redirection&<?php echo $this->pp_constant['private_redirection_api_name']; ?>_url_redirection=<?php echo urlencode($this_backlink['url_referrer']); ?>"
     	 		   title="<?php echo htmlspecialchars($this_backlink['url_referrer']); ?>"><?php echo htmlspecialchars(substr($this_backlink['url_referrer'], 0, 50)); ?></a>
  	 		  <?php  } else { ?>
    	 		 <a href="<?php echo htmlspecialchars($this_backlink['url_referrer']); ?>"
     	 		   title="<?php echo htmlspecialchars($this_backlink['url_referrer']); ?>"><?php echo htmlspecialchars(substr($this_backlink['url_referrer'], 0, 50)); ?></a>
  	 		  <?php  } ?>
   	 		 
   	 		 <br/>
   	 		 <i class="dashicons dashicons-arrow-right-alt"></i>
   	 		 <a href="<?php echo $this_backlink['url_linkto']; ?>"
           title="<?php echo $this_backlink['url_linkto']; ?>"><?php echo substr($this_backlink['url_linkto'], 0, 50); ?></a>
  	 		 </td>
  	 		 <?php if($this->pp_config['show_disabled_pro_features'] == 'Y') { ?>
   	 		 <td><a href="https://wplinkbuilder.com/?utm_source=backlinks_linkrel&utm_medium=plugin&utm_campaign=plugin_free"
    	 		       target="_blank"
     	 		      class="pp-badge-pro">go pro</a></td>
        <td><a href="https://wplinkbuilder.com/?utm_source=backlinks_validationstatus&utm_medium=plugin&utm_campaign=plugin_free"
               target="_blank"
     	 		      class="pp-badge-pro">go pro</a></td>
     	 <?php  } ?>
       <td>
        <?php if($this_backlink['status_promoted'] == 'Y') { ?>
         Yes
        <?php  } else { ?>
         No
        <?php  } ?> 
        <?php if($this->pp_config['enable_backlink_promotion'] == 'N') { ?>
         (<a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageConfiguration">disabled</a>)
        <?php  } ?>
       </td>
       <td>
        <?php if($this->pp_config['enable_backlink_promotion'] == 'Y') { ?>
         <a href="#"
            data-obj="backlink"
            data-obj-id="<?php echo $this_backlink['backlink_id']; ?>"
            data-function="ManuallyPromoteBacklink"
            data-disable-on-success="Y"
            data-nonce="<?php echo wp_create_nonce($this->pp_prefix.'ajaxManuallyPromoteBacklink'); ?>"
            title="Promote the backlink manually"
            class="<?php echo $this->pp_prefix; ?>btn-object-function"><span class="dashicons dashicons-controls-volumeon pp-dashicons-lg"></span></a>
     			<?php } ?>
     			<a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageBacklinks&<?php echo $this->pp_prefix.'function'; ?>=backlinkDelete&backlink_id=<?php echo $this_backlink['backlink_id']; ?>&_wpnonce=<?php echo wp_create_nonce($this->pp_prefix.'backlinkDelete'); ?>"
     			   title="Delete the backlink"
           class="pp-overflow-hidden"><i class="dashicons dashicons-trash pp-dashicons-lg"></i></a>
       </td>
   	  </tr>
   	 <?php  } ?>
  	 <?php  } else { ?>
     <tr>
      <?php if($this->pp_config['show_disabled_pro_features'] == 'Y') { ?>
       <td colspan="7">No backlinks collected yet.</td>
      <?php } else { ?>
       <td colspan="5">No backlinks collected yet.</td>
      <?php } ?>
     </tr>
    <?php  } ?>
   </tbody>
  </table>
  
  <?php if($backlinks != false) { ?>
   <br/>
   <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageBacklinks&<?php echo $this->pp_prefix.'function'; ?>=backlinkTruncate&_wpnonce=<?php echo wp_create_nonce($this->pp_prefix.'backlinkTruncate'); ?>"
      class="button-secondary">Delete all entries</a>
  <?php  } ?>
<?php
 
if(isset($_REQUEST['_PAGE'])) {
 $this->getPagingOutput($_REQUEST['_PAGE'], 'admin.php', $object_paging_variables, $backlinks_total, $show_results);
 } else {
 $this->getPagingOutput(0, 'admin.php', $object_paging_variables, $backlinks_total, $show_results);
 }

?>

 </div>
</div>