<?php if(!defined('ABSPATH')) exit; /* Exit if accessed directly */ ?>

<div class="wrap">
	<h1>
  <i class="dashicons dashicons-admin-home pp-dashicons-lg"></i> // <?php echo $this->pp_plugin_name_read; ?> Dashboard
 </h1>
 <hr>
 
 <h2>Main functionality</h2>
	<div class="pp-container">
  <div class="pp-box" style="float:left; max-width:370px;">
   <div style="display:table-cell; float:left; width:100px;"><a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageBacklinks" class="dashicons dashicons-admin-links" style="font-size:80px; width:80px; height:80px;"></a></div>
   <div style="display:table-cell; overflow:hidden;">
    <h2>Backlink Manager</h2>
    <p>Currently WP Link Builder has detected <span class="pp-badge-default"><?php echo $backlinks_total; ?></span> backlinks so far. You can manage and boost those backlinks here.</p>
    <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageBacklinks"
       class="button-secondary">Show backlinks</a>
   </div>
  </div>
  
  <div class="pp-box pp-box-dashboard">
   <div class="pp-box-dashboard-left-col">
    <a href="https://wplinkbuilder.com/?utm_source=dashboard_gopro_icon&utm_medium=plugin&utm_campaign=plugin_free"
       class="dashicons dashicons-cart pp-dashicons-huge"
       target="_blank"
       style="color:#ff6600;"></a>
   </div>
   <div class="pp-box-dashboard-right-col">
    <h2>Get the PRO version</h2>
    <p>You feel like it is time to turn on the turbo booster? Then checkout the benefits and features of the PRO version!</p>
    <a href="https://wplinkbuilder.com/?utm_source=dashboard_gopro_button&utm_medium=plugin&utm_campaign=plugin_free"
       class="button-secondary"
       target="_blank"
       style="background-color:#ff6600; color:#ffffff; font-weight:bold;">I want to go PRO!</a>
   </div>
  </div>
 </div>
 
 <br style="clear:both;"/><br/>
 <h2>Settings</h2>
	<div class="pp-container">
  <div class="pp-box pp-box-dashboard">
   <div class="pp-box-dashboard-left-col">
    <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageWizard"
       class="dashicons dashicons-admin-settings pp-dashicons-huge"></a>
   </div>
   <div class="pp-box-dashboard-right-col">
    <h2>Configuration Wizard</h2>
    <p><strong>Start here</strong> and let Michael and Jazib help you configure <?php echo $this->pp_plugin_name_read; ?> to your needs.</p>
    <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageWizard"
       class="button-primary">Start here</a>
   </div>
  </div>
	 <div class="pp-box pp-box-dashboard">
   <div class="pp-box-dashboard-left-col">
    <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageConfiguration"
       class="dashicons dashicons-admin-generic pp-dashicons-huge"></a>
   </div>
   <div class="pp-box-dashboard-right-col">
    <h2>Expert Configuration</h2>
    <p><strong>Don't</strong> start here unless you used <?php echo $this->pp_plugin_name_read; ?> for a while know what you are doing.</p>
    <a href="admin.php?page=<?php echo $this->pp_prefix; ?>menuPageConfiguration"
       class="button-secondary">I know what I am doing...</a>
   </div>
  </div>
	</div>
 
 <br style="clear:both;"/><br/>
 <h2>Other</h2>
	<div class="pp-container">
  
  
  <?php /* Currently N/A
   
  <div class="pp-box pp-box-dashboard">
   <div class="pp-box-dashboard-left-col">
    <a href="https://wplinkbuilder.com/add-ons/?utm_source=dashboard_addons_icon&utm_medium=plugin&utm_campaign=plugin_free"
       class="dashicons dashicons-screenoptions pp-dashicons-huge"></a>
   </div>
   <div class="pp-box-dashboard-right-col">
    <h2>Add-ons</h2>
    <p>Customize <?php echo $this->pp_plugin_name_read; ?> to your needs with our add-ons and make it even more powerful.</p>
    <a href="https://wplinkbuilder.com/add-ons/?utm_source=dashboard_addons_button&utm_medium=plugin&utm_campaign=plugin_free"
       target="_blank"
       class="button-secondary">Let me see what you got...</a>
   </div>
  </div>
  
  <div class="pp-box pp-box-dashboard">
   <div class="pp-box-dashboard-left-col">
    <a href="https://wplinkbuilder.com/tutorials/?utm_source=dashboard_tutorials_button&utm_medium=plugin&utm_campaign=plugin_free"
       class="dashicons dashicons-welcome-learn-more pp-dashicons-huge"></a>
   </div>
   <div class="pp-box-dashboard-right-col">
    <h2>Tutorials</h2>
    <p>Don't know where to start? Then checkout our tutorials and frequently asked questions.</p>
    <a href="https://wplinkbuilder.com/tutorials/?utm_source=dashboard_tutorials_button&utm_medium=plugin&utm_campaign=plugin_free"
       target="_blank"
       class="button-secondary">I wanna to learn how to...</a>
   </div>
  </div>
  
  <?php  */ ?>
  
  <div class="pp-box pp-box-dashboard">
   <div class="pp-box-dashboard-left-col">
    <a href="https://wplinkbuilder.com/support/?utm_source=dashboard_support_icon&utm_medium=plugin&utm_campaign=plugin_free"
       class="dashicons dashicons-email pp-dashicons-huge"
       target="_blank"></a>
   </div>
   <div class="pp-box-dashboard-right-col">
    <h2>Contact & Support</h2>
    <p>You need support or just want to get in touch with Michael an Jazib? Go ahead, we don't bite (at least most of the time).</p>
    <a href="https://wplinkbuilder.com/support/?utm_source=dashboard_support_button&utm_medium=plugin&utm_campaign=plugin_free"
       target="_blank"
       class="button-secondary">I want to tell you that...</a>
   </div>
  </div>
  
  <div class="pp-box pp-box-dashboard">
   <div class="pp-box-dashboard-left-col">
    <i class="dashicons dashicons-admin-plugins pp-dashicons-huge"></i>
   </div>
   <div class="pp-box-dashboard-right-col">
    <h2>Compatibility</h2>
    <p>
     In order for the plugin to work properly, the check-results should be green.
     Yellow means that some features might work. Red means the plugin won't work at all.</p>
    <ul>
     <li><strong>WordPress version:</strong> <span class="pp-badge-success"><?php echo $wp_version; ?></span></li>
     <li><strong>PHP version:</strong> <span class="pp-badge-success"><?php echo phpversion(); ?></span></li>
     <li><strong>PHP CURL:</strong> <span class="pp-badge-success"><?php if(function_exists('curl_version')) { echo 'enabled'; } else { echo 'disabled'; } ?></span></li>
     <li><strong>PHP URL-fopen:</strong> <span class="pp-badge-<?php if(ini_get('allow_url_fopen')) { echo 'success'; } else { echo 'error'; } ?>"><?php if(ini_get('allow_url_fopen')) { echo 'enabled'; } else { echo 'disabled'; } ?></span></li>
    </ul>
   </div>
  </div>
 </div>
</div>